# GetPumpFunNewTokensStream

### Subscribe

#### Method

```
GetPumpFunNewTokensStream
```

#### Parameters:

<table><thead><tr><th width="202.71896910191123">Parameter</th><th width="136">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>-</code></td><td>-</td><td>-</td></tr></tbody></table>

#### Subscribe sample:

{% tabs %}
{% tab title="WebSocket" %}

```bash
wscat -H "Authorization:$AUTH_HEADER" -c wss://pump-ny.solana.dex.blxrbdn.com/ws --wait 1000 --execute '{"jsonrpc": "2.0", "id": 1, "method": "subscribe", "params": [  "GetPumpFunNewTokensStream", {} ]}'
```

{% endtab %}
{% endtabs %}

**Event Result Details:**

<table><thead><tr><th width="178">Field</th><th width="168">Type</th><th width="419.58916051319363">Description</th></tr></thead><tbody><tr><td><code>slot</code></td><td>int64</td><td>The slot number</td></tr><tr><td><code>txnHash</code></td><td>string</td><td>The signature of the new token transaction.</td></tr><tr><td><code>name</code></td><td>string</td><td>The name of the token.</td></tr><tr><td><code>symbol</code></td><td>string</td><td>The symbol of the token.</td></tr><tr><td><code>uri</code></td><td>string</td><td>Uniform Resource Identifier for token information.</td></tr><tr><td><code>mint</code></td><td>string</td><td>Token mint address.</td></tr><tr><td><code>bondingCurve</code></td><td>string</td><td>Bonding Cureve program address.</td></tr><tr><td><code>creator</code></td><td>string</td><td>The token creator address.</td></tr><tr><td><code>creatorVault</code></td><td>string</td><td>The valut address.</td></tr><tr><td><code>timestamp</code></td><td>google.protobuf.Timestamp</td><td>The timestamp of the event.</td></tr></tbody></table>

Sample event:

```json
{
  "jsonrpc":"2.0",
  "method":"subscribe",
  "params":{
    "subscription":"e7c9302c-0c2e-4d2c-aa3b-402260c4743c",
    "result":{
      "slot":"339818412",
      "txnHash":"4QksBZUDFMtV89EaQosxgEPJUiVNNDeH5PPtG81As4LhivRuToA3i9oDcP5r191xUeKVeMzFrUvDzWewoWTcThH9",
      "name":"TESLA NEW MASCOT",
      "symbol":"HAHAYES",
      "uri":"https://ipfs.io/ipfs/QmcPNuJDVAdx7bnLXghCQtkq5FFHHxaDr879MXsGGke7JA",
      "mint":"Ds37SDZNukQj1aQYKgyWDkDz5xvpNx7PhiwE58TApump",
      "bondingCurve":"BcVzydVqA4C9c3u4NJhkJZs3BBkqzwa2cqAkMUqfgHV9",
      "creator":"JBYTEiKue7TdNMWtSKUZwyyRpHpTV9UKgkioQP4JttPn",
      "timestamp":"2025-05-13T20:50:59.067563312Z",
      "creatorVault":"GwthYZPC771TwxiAAhczwFdD2iThB9QCbnVNrycEwjwW"
    }
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bloxroute.com/solana/trader-api/api-endpoints/pump.fun/getpumpfunnewtokensstream.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
